ALTER TABLE Emp_Contrato ADD IdActEco VARCHAR(10)
GO
ALTER TABLE tm_Aportes ADD tmIdActEco VARCHAR(10)
GO
ALTER TABLE Trn_NomAlqDet ADD IdActEco VARCHAR(10)
GO
CREATE TABLE NomActividades ( 
IdActEco VARCHAR(10) NOT NULL,
IdSector VARCHAR(8) NOT NULL,
CodAdicional VARCHAR(10) NOT NULL,
DescActividad VARCHAR(1000) NOT NULL,
Inactivo BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_NomActividades PRIMARY KEY CLUSTERED (IdActEco),
 CONSTRAINT CK_NomActividadesCodAdicional CHECK ((len([CodAdicional])>(0))),
 CONSTRAINT CK_NomActividadesDescActividad CHECK ((len([DescActividad])>(0))),
 CONSTRAINT CK_NomActividadesIdActEco CHECK ((len([IdActEco])>(0))),
 CONSTRAINT CK_NomActividadesIdSector CHECK ((len([IdSector])>(0))))
GO
ALTER TABLE NomActividades ADD 
 CONSTRAINT FK_NomActividades_SectoresEco FOREIGN KEY (IdSector) REFERENCES [dbo].[SectoresEco] (IdSector)

INSERT INTO Sys_Roles  (IdObj,IdRole,Funcion)
 VALUES ('FRMVAC','EDH','Permitir Exceder días hábiles en liquidaciones Parciales')
GO
INSERT INTO Sys_ObjetosApp  (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMAER','NOMCAT','BAS',26,'Actividades Riesgos Laborales','FRMAER','S',0,'')
GO

